SolrUIMAConfiguration (Solr 3.6.2 API)
Keywords: org.apache.solr.uima.processor.SolrUIMAConfiguration class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.uima.processor
Class SolrUIMAConfiguration

    java.lang.Object
      org.apache.solr.uima.processor.SolrUIMAConfiguration

    public class SolrUIMAConfiguration

extends Object

Configuration holding all the configurable parameters for calling UIMA inside Solr

Version:
  $Id$

Constructor Summary
`SolrUIMAConfiguration(String aePath, String[] fieldsToAnalyze, boolean fieldsMerging, Map<String,Map<String,org.apache.solr.uima.processor.SolrUIMAConfiguration.MapField>> typesFeaturesFieldsMapping, Map<String,Object> runtimeParameters, boolean ignoreErrors, String logField)`

Method Summary
`String` | `getAePath()`
`String[]` | `getFieldsToAnalyze()`
`String` | `getLogField()`
`Map<String,Object>` | `getRuntimeParameters()`
`Map<String,Map<String,org.apache.solr.uima.processor.SolrUIMAConfiguration.MapField>>` | `getTypesFeaturesFieldsMapping()`
`boolean` | `isFieldsMerging()`
`boolean` | `isIgnoreErrors()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolrUIMAConfiguration

    public SolrUIMAConfiguration(String aePath,
                                 String[] fieldsToAnalyze,
                                 boolean fieldsMerging,
                                 Map<String,Map<String,org.apache.solr.uima.processor.SolrUIMAConfiguration.MapField>> typesFeaturesFieldsMapping,
                                 Map<String,Object> runtimeParameters,
                                 boolean ignoreErrors,
                                 String logField)

Method Detail

### getFieldsToAnalyze

    public String[] getFieldsToAnalyze()

### isFieldsMerging

    public boolean isFieldsMerging()

### getTypesFeaturesFieldsMapping

    public Map<String,Map<String,org.apache.solr.uima.processor.SolrUIMAConfiguration.MapField>> getTypesFeaturesFieldsMapping()

### getAePath

    public String getAePath()

### getRuntimeParameters

    public Map<String,Object> getRuntimeParameters()

### isIgnoreErrors

    public boolean isIgnoreErrors()

### getLogField

    public String getLogField()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD